View Issue Details

This bug affects 1 person(s).
 254
IDProjectCategoryView StatusLast Update
16843Bug reportsSecuritypublic2021-08-12 08:46
Reporterollehar Assigned Toc_schmitz  
PrioritylowSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.3.27 
Target Version4.x.0-dev 
Summary16843: Review label sets permissions
DescriptionSome label set operations require "edit" as permission, should be "update". Might want to check ls3, too.
TagsNo tags attached.
Bug heat254
Complete LimeSurvey version number (& build)latest dev
I will donate to the project if issue is resolvedNo
Browser-
Database type & version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2020-12-22 12:07

developer   ~61019

LabelSets need a complete Permission system
DenisChenu

DenisChenu

2021-03-03 17:11

developer   ~62696

@ollehar : hope all work done on SurveyGroups can help :)

can ask for some dev choice.
DenisChenu

DenisChenu

2021-03-03 17:12

developer   ~62697

PS : it's a feature here ?
c_schmitz

c_schmitz

2021-07-13 16:38

administrator   ~65425

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32174

Related Changesets

LimeSurvey: master ef773af7

2021-07-12 15:29:19

c_schmitz

Details Diff
Fixed issue 16843: Label set permission check was too tight Affected Issues
16843
mod - application/controllers/admin/labels.php Diff File
mod - application/views/admin/labels/labelview_view.php Diff File

Issue History

Date Modified Username Field Change
2020-11-18 14:29 ollehar New Issue
2020-11-18 14:29 ollehar Priority none => urgent
2020-11-18 14:29 ollehar Description Updated View Revisions
2020-12-22 12:07 DenisChenu Note Added: 61019
2020-12-28 13:04 cdorin Priority urgent => low
2020-12-28 13:04 cdorin Status new => confirmed
2020-12-28 13:04 cdorin Sync to Zoho Project => |Yes|
2021-03-03 16:56 ollehar Severity block => partial_block
2021-03-03 16:56 ollehar Sync to Zoho Project Yes => |Yes|
2021-03-03 17:11 DenisChenu Note Added: 62696
2021-03-03 17:12 DenisChenu Note Added: 62697
2021-07-12 15:29 c_schmitz Assigned To => c_schmitz
2021-07-12 15:29 c_schmitz Status confirmed => resolved
2021-07-12 15:29 c_schmitz Resolution open => fixed
2021-07-13 16:38 c_schmitz Changeset attached => LimeSurvey master ef773af7
2021-07-13 16:38 c_schmitz Note Added: 65425
2021-08-12 08:46 c_schmitz Status resolved => closed